﻿<!DOCTYPE html>
<!--[if lt IE 7 ]><html <?php language_attributes(); ?> class="no-js ie ie6 lte7 lte8 lte9"><![endif]-->
<!--[if IE 7 ]><html <?php language_attributes(); ?> class="no-js ie ie7 lte7 lte8 lte9"><![endif]-->
<!--[if IE 8 ]><html <?php language_attributes(); ?> class="no-js ie ie8 lte8 lte9"><![endif]-->
<!--[if IE 9 ]><html <?php language_attributes(); ?> class="no-js ie ie9 lte9"><![endif]-->
<!--[if (gt IE 9)|!(IE)]><!--><html <?php language_attributes(); ?> class="no-js"><!--<![endif]-->
    <head>
<link href='http://www.font-api.ir/css/B Mitra={font-api.ir}.css' rel='stylesheet' type='text/css'>
        <meta charset="<?php bloginfo('charset'); ?>" />
        <title><?php bloginfo('name'); ?> | <?php is_home() ? bloginfo('description') : wp_title(''); ?></title>
        <meta http-equiv="X-UA-Compatible" content="IE=Edge;chrome=1" >
        <meta name="viewport" content="width=device-width, initial-scale=1.0">

        <meta name="description" content="<?php bloginfo('description'); ?>" />

        <link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
        <link rel="profile" href="http://gmpg.org/xfn/11" />
        <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />


        <!-- The 1140px Grid - http://cssgrid.net/ -->
        <link rel="stylesheet" href="<?php echo get_template_directory_uri() ?>/css/1140.css" type="text/css" media="screen" />
        <link rel="stylesheet" href="<?php echo get_template_directory_uri() ?>/css/animate.css" type="text/css" media="screen" />
        <link rel="stylesheet" href="<?php echo get_template_directory_uri() ?>/css/jquery.onebyone.css" type="text/css" media="screen" />

        <!-- style.css -->
        <!--[if lt IE 9]><script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script><![endif]-->


        <link rel="stylesheet" media="screen, print" href="<?php bloginfo('stylesheet_url'); ?>" />
        <!--[if lt IE 9]><link rel="stylesheet" href="<?php echo get_template_directory_uri() ?>/css/ie7.css" type="text/css" media="screen" /><![endif]-->

        <?php if (is_singular()) wp_enqueue_script('comment-reply'); ?>
        <?php wp_enqueue_script('jquery'); ?>
        <?php wp_head(); ?>

    </head>


    <body <?php body_class(); ?>>
        <?php

        $options = get_option('magnovus');
        if ($options['top_menu'] == 1) {
            ?>
            <section class="container top">
                <div class="topcont clearfix">
                <div class="row clearfix">
                    <?php
                    $menu = wp_nav_menu(
                            array(
                                'theme_location' => 'topmenu',
                                'echo' => 0,
                                'menu_id' => 'nav-top',
                                'menu_class' => 'dropmenu',
                                'container_id' => 'topmenu-cont',
                                 'fallback_cb' => 'magnovus_topmenu_fb'
                                )
                    );

                    $menu = str_replace("\n", "", $menu);
                    $menu = str_replace("\r", "", $menu);
                    echo $menu;
                    ?>
                    <?php
                    wp_nav_menu(array(
                            'theme_location' => 'topmenu',
                            'walker'         => new Walker_Nav_Menu_Dropdown(),
                            'items_wrap'     => '<select class="top-mobile mobile-nav"><option value="/">Select Page</option>%3$s</select>',
                            'container' => false,
                            'menu_class' => 'mobile-menu',

                    )); ?>

                    <!-- <a href="" id="next-article"></a> -->
    <?php if ($options['top_search'] == 1) { ?>
                        <form action="<?php echo home_url('/'); ?>" id="searchform" method="get" role="search">
                            <div>
                                <input type="text" class="field" name="s" id="s" placeholder="<?php _e('جستجو در سایت', 'purepress'); ?>" />
                                <input type="submit" value="<?php _e('جستجو', 'purepress'); ?>" id="searchsubmit">
                            </div>
                        </form>
                    <?php } ?>
                    <?php if ($options['top_social']['rss'] == 0 && $options['top_social']['fb'] == 0 && $options['top_social']['twitter'] == 0) {

                    } else {

                        ?>
                        <ul id="social-icons">
                            <?php if ($options['top_social']['rss'] == 1) { ?><li id="rss"><a href="<?php bloginfo('rss2_url'); ?>">RSS</a></li><?php } ?>
                            <?php if ($options['top_social']['fb'] == 1) { ?><li id="facebook"><a href="<?php echo $options['top_social_url']['fb']; ?>">Facebook</a></li><?php } ?>
                            <?php if ($options['top_social']['twitter'] == 1) { ?><li id="twitter"><a href="<?php echo $options['top_social_url']['twitter']; ?>">Twitter</a></li><?php } ?>
                            <?php if ($options['top_social']['google'] == 1) { ?><li id="google"><a href="<?php echo $options['top_social_url']['google']; ?>">Google plus</a></li><?php } ?>
                            <?php if ($options['top_social']['youtube'] == 1) { ?><li id="youtube"><a href="<?php echo $options['top_social_url']['youtube']; ?>">YouTube</a></li><?php } ?>
                            <?php if ($options['top_social']['linkedin'] == 1) { ?><li id="linkedin"><a href="<?php echo $options['top_social_url']['linkedin']; ?>">LinkedIn</a></li><?php } ?>
                            <?php if ($options['top_social']['flickr'] == 1) { ?><li id="flickr"><a href="<?php echo $options['top_social_url']['flickr']; ?>">Flickr</a></li><?php } ?>
                            <?php if ($options['top_social']['digg'] == 1) { ?><li id="digg"><a href="<?php echo $options['top_social_url']['digg']; ?>">Digg</a></li><?php } ?>
                        </ul>
            <?php } ?>
                </div>
                </div>
            </section>
<?php } ?>
        <header role="main" class="container">

            <div class="row clearfix">
                <?php if($options['logo']) { ?>
                <h1 class="logo">
                    <a href="<?php echo home_url('/'); ?>" title="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>" rel="home"><img src="<?php echo $options['logo']; ?>" alt="<?php bloginfo('name'); ?>"/></a>
                </h1>
                 <?php } else { ?>
                <h1 class="logo">
                    <a href="<?php echo home_url('/'); ?>" title="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>" rel="home"><?php bloginfo('name'); ?></a>
                </h1>
                <?php } ?>
                <?php if ($options['topadstatus'] == 1) { ?>
                <div id="top-ad">
                 <?php if (!function_exists('dynamic_sidebar') || !dynamic_sidebar('Top ad area')) : ?>
                <?php endif; ?>
                </div>
                 <?php } ?>
            </div> <!-- eof row -->
            <div class="row menu clearfix">
                <div class="menucont clearfix">
                <?php
                $menu = wp_nav_menu(
                        array(
                            'theme_location' => 'mainmenu',
                            'echo' => 0,
                            'menu_class' => 'dropmenu main-menu',
                             'container_id' => 'mainmenu-cont',
                            'fallback_cb' => 'magnovus_menu_fb')
                );

                $menu = str_replace("\n", "", $menu);
                $menu = str_replace("\r", "", $menu);
                echo $menu;

                    wp_nav_menu(array(
                            'theme_location' => 'mainmenu',
                            'walker'         => new Walker_Nav_Menu_Dropdown(),
                            'items_wrap'     => '<select class="mobile-nav"><option value="/">Select Page</option>%3$s</select>',
                            'container' => false,
                            'container_class' => 'mobile-menu'
                    )); ?>


<?php
if($options['menuicons'] == "show") {
global $user_ID, $user_identity, $current_user;
get_currentuserinfo();
if (!$user_ID) { ?>
                    <ul id="user-menu">
                        <li id="sign-in"><a href="" class="ttipw" title="<?php _e('ورود', 'purepress'); ?>"><?php _e('ورود', 'purepress'); ?></a></li>
                        <?php if(get_option('users_can_register')) { ?><li id="sign-up"><a href=""  class="ttipw" title="<?php _e('ثبت نام', 'purepress'); ?>"><?php _e('ثبت نام', 'purepress'); ?> </a></li><?php } ?>
                    </ul>
<?php } else { ?>
                    <ul id="user-menu" class="dropmenu">
                        <li id="welcome-user"><a> <?php _e('خوش آمدید', 'purepress'); ?>, <?php echo $user_identity; ?> </a>
                            <ul>
                                <li>
                                    <div class="userinfo">
                                        <?php echo get_avatar( $current_user->ID, 64 ); ?>
                                        <p><?php _e('وارده شده با نام', 'purepress'); ?> <strong><?php echo $user_identity; ?></strong></p>
                                        <p>
                                            <a href="<?php echo wp_logout_url('index.php'); ?>"><?php _e('خروج', 'purepress'); ?></a> ,
                                            <?php
                                            if (current_user_can('manage_options')) {
                                                echo '<a href="' . admin_url() . '">' . __('پروفایل','purepress') . '</a>';
                                            } else {
                                                echo '<a href="' . admin_url() . 'profile.php">' . __('Profile','purepress') . '</a>';
                                            }
                                            ?>
                                        </p>
                                    </div>
                                </li>
                            </ul>
                        </li>
                    </ul>
<?php }
} ?>
                    </div> <!-- eof menucont -->
            </div> <!-- eof row -->
        </header>