<?php
/**
 * The loop that displays posts.
 *
 * The loop displays the posts and the post content.  See
 * http://codex.wordpress.org/The_Loop to understand it and
 * http://codex.wordpress.org/Template_Tags to understand
 * the tags used in it.
 *
 * This can be overridden in child themes with loop.php or
 * loop-template.php, where 'template' is the loop context
 * requested by a template. For example, loop-index.php would
 * be used if it exists and we ask for the loop with:
 * <code>get_template_part( 'loop', 'index' );</code>
 *
 * @package WordPress
 * @subpackage purepress
 * @since purepress 1.0 
 
 */
    rewind_posts();  wp_reset_postdata();
    $_GET['gdsr_sort'] = 'rating';
$_GET['gdsr_order'] = 'desc';
query_posts("gdsr_sort=rating");
  $q = new WP_Query('post_type=post&post_status=publish&gdsr_sort=rating&gdsr_order=desc');
  
?>

<?php /* If there are no posts to display, such as an empty archive page */ ?>
<?php if (!$q->have_posts()) : ?>
    <article id="post-0" class="post error404 not-found">
        <h2 class="entry-title"><?php _e('پیدا نشد', 'purepress'); ?></h2>
        <div class="entry-content">
            <p><?php _e('متاسفانه چیزی که شما دنبالش میگردید ، وجود ندارد.', 'purepress'); ?></p>

        </div><!-- .entry-content -->
    </article><!-- #post-0 -->
<?php endif; ?>

<?php
  while ($q->have_posts()) : $q->the_post(); ?>
    <article id="post-<?php the_ID(); ?>" <?php post_class('loop'); ?>>
        <?php if (has_post_thumbnail()) { ?>
            <div class="thumb-container">
                <a href="<?php the_permalink(); ?>" title="<?php printf(esc_attr__('لینک ثابت به %s', 'purepress'), the_title_attribute('echo=0')); ?>" rel="bookmark">
                    <?php the_post_thumbnail(); ?>
                </a>
                <div class="share">
                    <a href="#" class="share-post"><?php _e('اشتراک این نوشته', 'purepress'); ?></a>
                    <a href="<?php the_permalink(); ?>" class="thumb-permalink"><?php _e('لینک ثابت', 'purepress'); ?></a>
                </div>
                <div class="share-modal-box">
                    <h3>این نوشته را به اشتراک بگذارید</h3>
                    <ul class="share-icons">
                        <li class="tumblr"><a href="http://www.tumblr.com/share/link?url=<?php echo urlencode(get_permalink()); ?>&amp;name=<?php echo urlencode(get_the_title()); ?>">tumblr</a></li>
                        <li class="google"><a href="https://plus.google.com/share?url=<?php echo urlencode(get_permalink()); ?>">google</a></li>
                        <li class="linkedin"><a href="http://www.linkedin.com/shareArticle?&amp;url=<?php echo urlencode(get_permalink()); ?>&amp;title=<?php echo urlencode(get_the_title()) ?>">linkedin</a></li>
                        <li class="technorati"><a href="http://technorati.com/faves?add=<?php echo urlencode(get_permalink()); ?>">technorati</a></li>
                        <li class="twitter"><a href="http://twitter.com/home?status=Currently%20reading%20<?php the_permalink(); ?>">twitter</a></li>
                        <li class="facebook"><a href="http://www.facebook.com/sharer.php?u=<?php echo urlencode(get_permalink()); ?>&amp;t=<?php echo urlencode(get_the_title()); ?>" >facebook</a></li>
                    </ul>
                </div>
            </div>
        <?php } ?>
        <div class="post-container <?php
    if (!has_post_thumbnail()) {
        echo "no-thumb";
    }
    ?> ">
            <div class="cat-list"><?php the_category(', '); ?></div> <a class="comments-link" href="<?php comments_link(); ?>"><?php echo get_comments_number(); ?></a>
            <?php

              if (function_exists('wp_gdsr_rating_article')) { echo '<div class="rating-stars">'; echo gd_get_rating_ajax($post); echo '</div>'; }
            
            ?>

            <h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf(esc_attr__('لینک ثابت به %s', 'purepress'), the_title_attribute('echo=0')); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
            <a class="author-link" href="<?php echo get_author_posts_url(get_the_author_meta( 'ID' )); ?>"><?php the_author_meta('display_name'); ?></a>
    <?php printf('<a href="%1$s" class="published-time" title="%2$s" rel="bookmark">%3$s</a>', get_permalink(), esc_attr(get_the_time()), get_the_date()); ?>
            <div class="excerpt"><?php the_excerpt() ?> </div>

        </div>
    </article><!-- #post-## -->
<?php endwhile; // End the loop. Whew.  ?>