<?php
$options = get_option('magnovus');
if($options['sliderstatus'] == 1 ) {
    ?>

<section id="featured" >
    <div class="slider-container">
        <div class="slides" id="banner">
                <?php
                if(empty($options['slider_content']) || $options['slider_content'] =='cats' ) {
                    $cat = $options['cats_for_slider'];
                    if($cat) {
                        $args = array(
                                'category__in' => $cat,
                                'posts_per_page' => $options['slidesnumber'],
                                'meta_key' => '_thumbnail_id',
                                'post__not_in' => get_option('sticky_posts'),
                        );
                    } else {
                        $args = array(
                                'posts_per_page' => $options['slidesnumber'],
                                'meta_key' => '_thumbnail_id',
                                'post__not_in' => get_option('sticky_posts'),
                        );
                    }

                    if( $cat[0] == 0) {
                        $args = array(
                                'posts_per_page' => $options['slidesnumber'],
                                'meta_key' => '_thumbnail_id',
                                'post__not_in' => get_option('sticky_posts'),
                        );
                   }
                } else {
                    $args = array(
                            'meta_key' => '_thumbnail_id',
                            'post__not_in' => get_option('sticky_posts'),
                            'post__in' => $options['posts_for_slider']
                    );
                }



            $my_query = new WP_Query($args);
            while ($my_query->have_posts()) : $my_query->the_post();
                ?>
            <div  class="oneByOne_item">
                <div class="slide-image"> 
                    <a class="ani" href="<?php the_permalink(); ?>"><?php echo get_the_post_thumbnail($post->ID, 'slider'); ?></a>
                </div>
                <div class="slide-cont">
                    <h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf(esc_attr__('لینک ثابت به %s', 'purepress'), the_title_attribute('echo=0')); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
                    <a class="author-link" href="<?php echo get_author_posts_url(get_the_author_meta('ID' )); ?>"><?php the_author_meta('display_name'); ?></a>
                        <?php printf('<a href="%1$s" class="published-time" title="%2$s" rel="bookmark">%3$s</a>', get_permalink(), esc_attr(get_the_time()), get_the_date()); ?>
                    <div class="excerpt">
                            <?php
                            $excerpt = get_the_excerpt();
                            echo string_limit_words($excerpt, 22);
                            ?>
                    </div>
                </div>


                <a class="read-more" href="<?php the_permalink(); ?>"><?php _e('خواندن نوشته', 'purepress'); ?></a>
            </div>
            <?php endwhile; ?>
        </div>
        <?php rewind_posts(); ?>
        <?php  while ($my_query->have_posts()) : $my_query->the_post(); ?>
        <div class="share-modal-box slide-<?php the_ID(); ?>">
            <h3><?php _e('اشتراک این نوشته', 'purepress'); ?></h3>
            <ul class="share-icons">
                <li class="tumblr"><a href="http://www.tumblr.com/share/link?url=<?php echo urlencode(get_permalink()); ?>&amp;name=<?php echo urlencode(get_the_title()); ?>">tumblr</a></li>
                <li class="google"><a href="https://plus.google.com/share?url=<?php echo urlencode(get_permalink()); ?>">google</a></li>
                <li class="linkedin"><a href="http://www.linkedin.com/shareArticle?&amp;url=<?php echo urlencode(get_permalink()); ?>&amp;title=<?php echo urlencode(get_the_title()) ?>">linkedin</a></li>
                <li class="technorati"><a href="http://technorati.com/faves?add=<?php echo urlencode(get_permalink()); ?>">technorati</a></li>
                <li class="twitter"><a href="http://twitter.com/home?status=Currently%20reading%20<?php the_permalink(); ?>">twitter</a></li>
                <li class="facebook"><a href="http://www.facebook.com/sharer.php?u=<?php echo urlencode(get_permalink()); ?>&amp;t=<?php echo urlencode(get_the_title()); ?>" >facebook</a></li>
            </ul>
        </div>
        <?php endwhile; ?>

    </div>

</section>
<?php } ?>