<section id="articles-small">

    <?php $options = get_option('magnovus'); 
    if($options['columns12'] == 1) { ?>

    <div class="posts-column">
        <?php
        
        
        $args = array('posts_per_page' => $options['posts12number'], 'category__in' =>  $options['first_columns_cats']);
        $the_query = new WP_Query($args);
        ?>
        <?php if($options['first_column_title']) {?><h3 class="title"><?php echo $options['first_column_title']; ?></h3> <?php } ?>

        <?php if (!$the_query->have_posts()) : ?>
        <article id="post-0" class="post error404 not-found">
            <h2 class="entry-title"><?php _e('پیدا نشد', 'purepress'); ?></h2>
            <div class="entry-content">
                <p><?php _e('چیزی که شما دنبالش میگردید ، در این جا وجود ندارد.', 'purepress'); ?></p>

            </div><!-- .entry-content -->
        </article><!-- #post-0 -->
        <?php endif; ?>

        <?php while ($the_query->have_posts()) : $the_query->the_post(); ?>
        <article  <?php post_class(); ?>>
                <?php if (has_post_thumbnail()) { ?>
            <div class="thumb-container">
                <a href="<?php the_permalink(); ?>" title="<?php printf(esc_attr__('لینک ثابت به %s', 'purepress'), the_title_attribute('echo=0')); ?>" rel="bookmark">
                            <?php the_post_thumbnail(); ?>
                </a>
                <a class="comments-link" href="<?php comments_link(); ?>"><?php echo get_comments_number(); ?></a>
            </div>
                    <?php } ?>
            <div class="post-container <?php if (!has_post_thumbnail()) {
                    echo "no-thumb";
                     } ?> ">
                <h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf(esc_attr__('لینک ثابت به %s', 'purepress'), the_title_attribute('echo=0')); ?>" rel="bookmark"><?php echo short_title('...', 10);  ?></a></h2>
                <a class="author-link" href="<?php echo get_author_posts_url(get_the_author_meta( 'ID' )); ?>"><?php the_author_meta('display_name'); ?></a>
                    <?php printf('<a href="%1$s" class="published-time" title="%2$s" rel="bookmark">%3$s</a>', get_permalink(), esc_attr(get_the_time()), get_the_date()); ?>
            </div>
        </article><!-- #post-## -->
        <?php endwhile; // End the loop. Whew.
        wp_reset_postdata(); ?>
    </div>

    <div class="posts-column">
        <?php
        $args = array('posts_per_page' => $options['posts12number'], 'category__in' => $options['second_columns_cats']);
        $the_query = new WP_Query($args);
        ?>
        <?php if($options['second_column_title']) { ?><h3 class="title"><?php echo $options['second_column_title']; ?></h3> <?php } ?>

        <?php if (!$the_query->have_posts()) : ?>
        <article  class="post error404 not-found">
            <h2 class="entry-title"><?php _e('پیدا نشد', 'purepress'); ?></h2>
            <div class="entry-content">
                <p><?php _e('پیدا نشد ! چیزی که شما دنبالش میگردید ، در این جا وجود ندارد.', 'purepress'); ?></p>

            </div><!-- .entry-content -->
        </article><!-- #post-0 -->
        <?php endif; ?>

        <?php while ($the_query->have_posts()) : $the_query->the_post(); ?>
        <article  <?php post_class('loop'); ?>>
                <?php if (has_post_thumbnail()) { ?>
            <div class="thumb-container">
                <a href="<?php the_permalink(); ?>" title="<?php printf(esc_attr__('لینک ثابت به %s', 'purepress'), the_title_attribute('echo=0')); ?>" rel="bookmark">
                            <?php the_post_thumbnail('small-thumb'); ?>
                </a>
                <a class="comments-link" href="<?php comments_link(); ?>"><?php echo get_comments_number(); ?></a>
            </div>
                    <?php } ?>
            <div class="post-container <?php if (!has_post_thumbnail()) {
                    echo "no-thumb";
                     } ?> ">


                <h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf(esc_attr__('لینک ثابت به %s', 'purepress'), the_title_attribute('echo=0')); ?>" rel="bookmark"><?php echo short_title('...', 10);  ?></a></h2>
                <a class="author-link" href="<?php echo get_author_posts_url(get_the_author_meta( 'ID' )); ?>"><?php the_author_meta('display_name'); ?></a>
                    <?php printf('<a href="%1$s" class="published-time" title="%2$s" rel="bookmark">%3$s</a>', get_permalink(), esc_attr(get_the_time()), get_the_date()); ?>


            </div>
        </article><!-- #post-## -->
        <?php endwhile; // End the loop. Whew.
        wp_reset_postdata(); ?>
    </div>
    <?php } //check if 1&2 enabled 


    if($options['columns34'] == 1) { ?>

    <div class="posts-column">
        <?php


        $args = array('posts_per_page' => $options['posts34number'], 'category__in' =>  $options['third_columns_cats']);
        $the_query = new WP_Query($args);
        ?>
        <?php if($options['third_column_title']) { ?><h3 class="title"><?php echo $options['third_column_title']; ?></h3> <?php } ?>

        <?php if (!$the_query->have_posts()) : ?>
        <article id="post-0" class="post error404 not-found">
            <h2 class="entry-title"><?php _e('پیدا نشد', 'purepress'); ?></h2>
            <div class="entry-content">
                <p><?php _e('متاسفانه چیزی که شما دنبالش میگردید ، در این جا وجود ندارد', 'purepress'); ?></p>

            </div><!-- .entry-content -->
        </article><!-- #post-0 -->
        <?php endif; ?>

        <?php while ($the_query->have_posts()) : $the_query->the_post(); ?>
        <article <?php post_class(); ?>>
                <?php if (has_post_thumbnail()) { ?>
            <div class="thumb-container">
                <a href="<?php the_permalink(); ?>" title="<?php printf(esc_attr__('لینک ثابت به %s', 'purepress'), the_title_attribute('echo=0')); ?>" rel="bookmark">
                            <?php the_post_thumbnail(); ?>
                </a>
                <a class="comments-link" href="<?php comments_link(); ?>"><?php echo get_comments_number(); ?></a>
            </div>
                    <?php } ?>
            <div class="post-container <?php if (!has_post_thumbnail()) {
                    echo "no-thumb";
                     } ?> ">
                <h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf(esc_attr__('لینک ثابت به %s', 'purepress'), the_title_attribute('echo=0')); ?>" rel="bookmark"><?php echo short_title('...', 10);  ?></a></h2>
                <a class="author-link" href="<?php echo get_author_posts_url(get_the_author_meta( 'ID' )); ?>"><?php the_author_meta('display_name'); ?></a>
                    <?php printf('<a href="%1$s" class="published-time" title="%2$s" rel="bookmark">%3$s</a>', get_permalink(), esc_attr(get_the_time()), get_the_date()); ?>
            </div>
        </article><!-- #post-## -->
        <?php endwhile; // End the loop. Whew.
        wp_reset_postdata(); ?>
    </div>

    <div class="posts-column">
        <?php
        $args = array('posts_per_page' => $options['posts34number'], 'category__in' => $options['fourth_columns_cats']);
        $the_query = new WP_Query($args);
        ?>
        <?php if($options['fourth_column_title']) { ?><h3 class="title"><?php echo $options['fourth_column_title']; ?></h3> <?php } ?>

        <?php if (!$the_query->have_posts()) : ?>
        <article id="post-0" class="post error404 not-found">
            <h2 class="entry-title"><?php _e('پیدا نشد', 'purepress'); ?></h2>
            <div class="entry-content">
                <p><?php _e('متاسفانه چیزی شما دنبالش میگردید اینجا نیست.', 'purepress'); ?></p>

            </div><!-- .entry-content -->
        </article><!-- #post-0 -->
        <?php endif; ?>

        <?php while ($the_query->have_posts()) : $the_query->the_post(); ?>
        <article <?php post_class('loop'); ?>>
                <?php if (has_post_thumbnail()) { ?>
            <div class="thumb-container">
                <a href="<?php the_permalink(); ?>" title="<?php printf(esc_attr__('لینک ثابت به %s', 'purepress'), the_title_attribute('echo=0')); ?>" rel="bookmark">
                            <?php the_post_thumbnail('small-thumb'); ?>
                </a>
                <a class="comments-link" href="<?php comments_link(); ?>"><?php echo get_comments_number(); ?></a>
            </div>
                    <?php } ?>
            <div class="post-container <?php if (!has_post_thumbnail()) {
                    echo "no-thumb";
                     } ?> ">


                <h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf(esc_attr__('لینک ثابت به %s', 'purepress'), the_title_attribute('echo=0')); ?>" rel="bookmark"><?php echo short_title('...', 8);  ?></a></h2>
                <a class="author-link" href="<?php echo get_author_posts_url(get_the_author_meta( 'ID' )); ?>"><?php the_author_meta('display_name'); ?></a>
                    <?php printf('<a href="%1$s" class="published-time" title="%2$s" rel="bookmark">%3$s</a>', get_permalink(), esc_attr(get_the_time()), get_the_date()); ?>


            </div>
        </article><!-- #post-## -->
        <?php endwhile; // End the loop. Whew.
        wp_reset_postdata(); ?>
    </div>
    <?php } //check if 34 enabled ?>

    <!-- columns 3&4 -->

</section> <!-- eof small loops -->
<?php /* Display navigation to next/previous pages when applicable */ ?>