<?php
/**
 * Template Name: Page with slider
 *
 * A custom page template with slider.
 *
 * The "Template Name:" bit above allows this to be selectable
 * from a dropdown menu on the edit page screen.
 *
 * @package WordPress
 * @subpackage purepress
 * @since purepress 1.0
 */

get_header();
?>
<div class="container">
    <div class="row clearfix">
        <?php $options = get_option('magnovus'); if($options['sidebarside'] == 'left') { get_sidebar(); } ?>
        <section id="content" class="eightcol <?php if($options['sidebarside'] == 'left') { echo 'last'; } ?>" role="main" >
            <?php get_template_part( 'oneslider' ); ?>
            <?php get_template_part('loop','single'); ?>
            
        </section>
        <?php if($options['sidebarside'] != 'left') { get_sidebar(); } ?>
    </div>
</div>
</div>



<?php get_footer(); ?>