<?php
/**
 * The main template file.
 * @package WordPress
 */
get_header();
?>
<div class="container">
    <div class="row clearfix">
        <?php $options = get_option('magnovus'); if($options['sidebarside'] == 'left') { get_sidebar(); } ?>
        <section id="content" class="eightcol <?php if($options['sidebarside'] == 'left') { echo 'last'; } ?>" role="main" >
                    <article id="post-0" class="post error404 not-found">
                        <h2 class="entry-title"><a href="#"><?php _e('پیدا نشد', 'purepress'); ?></a></h2>
                        <div class="entry-content">
                            <p>
                                <?php _e('متاسفانه چیزی که شما دنبالش هستید پیدا نشد ، شاید حذف شده باشد و شاید هم آدرس را اشتباه آمده باشید !', 'purepress'); ?>
                                 <a href="<?php echo home_url('/'); ?>" title="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>" rel="home">&rarr;</a>
                            </p>
                            <div class="content">
                                <ul class="tabs">
                                    <li class="active"><a href="#"><?php _e('نوشته ها بر اساس تاریخ', 'purepress'); ?></a></li>
                                    <li><a href="#"><?php _e( 'بر اساس عنوان', 'purepress' ); ?></a></li>
                                    <li><a href="#"><?php _e( 'بر اساس موضوع', 'purepress' ); ?></a></li>
                                </ul>
                                <div class="tabs-content">
                                    <div class="tab">
                                        <?php bm_displayArchives(); ?>
                                    </div>
                                    <div class="tab">
                                        <ul>
                                            <?php wp_get_archives(array('type'=> 'alpha','limit' => '199', 'format' => 'html', 'show_post_count' => true )); ?>
                                        </ul>
                                    </div>
                                    <div class="tab">
                                        <ul>
                                            <?php wp_list_categories(array('pad_counts'=> trure, 'title_li' => '')); ?>
                                        </ul>
                                    </div>
                                </div>

                            </div>
                        </div><!-- .entry-content -->
                    </article><!-- #post-0 -->
        </section>
        <?php if($options['sidebarside'] != 'left') { get_sidebar(); } ?>
    </div>
</div>
</div>



<?php get_footer(); ?>