<?php
/**
 * The main template file.
 * @package WordPress
 */
get_header();
?>
<div class="container">
    <div class="row clearfix">
        <?php $options = get_option('magnovus'); if($options['sidebarside'] == 'left') { get_sidebar(); } ?>
        <section id="content" class="eightcol <?php if($options['sidebarside'] == 'left') { echo 'last'; } ?>" role="main" >
            
            <h2 class="search-title">
                <span class="color1t">
                    <?php
                    if (is_day()) :
                        printf(__('آرشیو روزانه: %s', 'purepress'), get_the_date());
                    elseif (is_month()) :
                        printf(__('آرشیو ماهانه: %s', 'purepress'), get_the_date('F Y'));
                    elseif (is_year()) :
                        printf(__('آرشیو سالانه: %s', 'purepress'), get_the_date('Y'));
                    else :
                        _e('آرشیو بلاگ', 'purepress');
                    endif;
                    ?>
                </span>
            </h2>

            <?php get_template_part('loop'); ?>
            
        </section>
        <?php if($options['sidebarside'] != 'left') { get_sidebar(); } ?>
    </div>
</div>
</div>

<?php get_footer(); ?>