<?php
/**
 * The main template file.
 * @package WordPress
 */
get_header();
?>
<div class="container">
    <div class="row clearfix">
        <?php $options = get_option('magnovus'); if($options['sidebarside'] == 'left') { get_sidebar(); } ?>
        <section id="content" class="eightcol <?php if($options['sidebarside'] == 'left') { echo 'last'; } ?>" role="main" >

        <?php if (have_posts()) the_post(); ?>
            <h2 class="author-entry-title"><a><?php _e('آرشیو نویسنده', 'purepress'); ?></a></h2>
            <?php if (get_the_author_meta('description')) : ?>
                <aside id="author-info">
                    <?php echo get_avatar(get_the_author_meta('user_email'), apply_filters('purepress_author_bio_avatar_size', 90)); ?>
                     <div class="author-data">
                         <h3><?php printf(__('درباره ی %s', 'purepress'), get_the_author()); ?></h3>
                         <p><?php the_author_meta('description'); ?></p>
                         <ul id="user-socials">
                            <?php $aid = get_the_author_meta('ID');

                            if(get_user_meta($aid, 'twitter', true)) { ?><li id="twitter"><a href="http://twitter.com/#!/<?php echo get_user_meta($aid, 'twitter', true); ?>">Twitter</a></li> <?php }
                            if(get_user_meta($aid, 'facebook', true)) { ?><li id="facebook"><a href="https://www.facebook.com/<?php echo get_user_meta($aid, 'facebook', true); ?>">Facebook</a></li> <?php }
                            if(get_user_meta($aid, 'googleplus', true)) { ?><li id="google"><a href="https://plus.google.com/<?php echo get_user_meta($aid, 'googleplus', true); ?>">Google +</a></li> <?php }
                            if(get_user_meta($aid, 'flickr', true)) { ?><li id="flickr"><a href="http://www.flickr.com/people/<?php echo get_user_meta($aid, 'flickr', true); ?>">Flickr</a></li> <?php }
                            ?>
                        </ul>
                    </div>
                </aside>
            <?php endif; ?>

            <?php rewind_posts(); ?>
            <?php get_template_part('loop'); ?>
        </section>
        <?php if($options['sidebarside'] != 'left') { get_sidebar(); } ?>
    </div>
</div>
</div>



<?php get_footer(); ?>